"use strict";
//  Copyright PrimeObjects Software Inc. and other contributors <https://www.primeobjects.com/>
//
//  This source code is licensed under the MIT license.
//  The detail information can be found in the LICENSE file in the root directory of this source tree.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Div = void 0;
var react_1 = __importStar(require("react"));
var lodash_1 = require("lodash");
exports.Div = react_1.default.forwardRef(function (props, ref) {
    var _a = (0, react_1.useState)(props), newProps = _a[0], setNewProps = _a[1];
    (0, react_1.useEffect)(function () {
        if (props.removeProps) {
            var newProps_1 = (0, lodash_1.cloneDeep)(props);
            for (var i = 0; i < props.removeProps.length; i++) {
                delete newProps_1[props.removeProps[i]];
            }
            delete newProps_1.removeProps;
            setNewProps(newProps_1);
        }
    }, [props]);
    return react_1.default.createElement("div", __assign({ ref: ref }, newProps));
});
exports.Div.displayName = "Div";
exports.default = exports.Div;
//# sourceMappingURL=div.js.map