import { CSSProperties } from "react";
export declare type TLogoProps = {
    color: string;
    id?: string;
    logoSrc: string;
    logoSize: number;
    logoStyle?: CSSProperties;
    textWrapperStyle?: CSSProperties;
    textWrapperClassName?: string;
    text?: string;
    textStyle?: CSSProperties;
    textClassName?: string;
    subText?: string;
    subTextStyle?: CSSProperties;
    subTextClassName?: string;
    wrapperClassName?: string;
    className?: string;
    onClick?: () => void;
};
export declare const Logo: (props: TLogoProps) => JSX.Element;
export default Logo;
